##
##  apache-flvx.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2008 OpenPKG Foundation e.V. <http://openpkg.net/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         apache-flvx
Summary:      Apache Extension: Flash Video Pseudo-Streaming
URL:          http://tperspective.blogspot.com/2009/02/apache-flv-streaming-done-right.html
Vendor:       Paul Querna, Artur Bodera
Packager:     OpenPKG Foundation e.V.
Distribution: OpenPKG Community
Class:        EVAL
Group:        Web
License:      GPL
Version:      20080204
Release:      20090301

#   list of sources
Source0:      mod_flvx.c
Source1:      apache-flvx.conf

#   build information
Prefix:       %{l_prefix}
BuildRoot:    %{l_buildroot}
BuildPreReq:  OpenPKG, openpkg >= 20060823, apache, make
PreReq:       OpenPKG, openpkg >= 20060823, apache
AutoReq:      no
AutoReqProv:  no

%description
    This is an Apache module for requesting Adobe Flash Video (FLV)
    from a particular start position. It is based on the simple
    Pseudo-Streaming approach of YouTube where a "start" query string is
    supplied by the player. This is supported by FlowPlayer, too.

%track
    prog apache-flvx = {
        disabled
        version   = %{version}
        url       = http://openpkg.org/
        regex     = .*
    }

%prep
    %setup -q -T -c

%build
    #   build module
    cp %{SOURCE mod_flvx.c} .
    %{l_prefix}/sbin/apxs -c mod_flvx.c

%install
    #   install module
    rm -rf $RPM_BUILD_ROOT
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/etc/apache/apache.d \
        $RPM_BUILD_ROOT%{l_prefix}/libexec/apache
    %{l_shtool} install -c -m 755 \
        .libs/mod_flvx.so \
        $RPM_BUILD_ROOT%{l_prefix}/libexec/apache/mod_flvx.so
    %{l_shtool} install -c -m 755 %{l_value -s -a} \
        %{SOURCE apache-flvx.conf} \
        $RPM_BUILD_ROOT%{l_prefix}/etc/apache/apache.d/

    #   determine installation files
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT \
        %{l_files_std} \
        '%config %{l_prefix}/etc/apache/apache.d/apache-flvx.conf' \
        '%config %{l_prefix}/etc/apache-flvx/*'

%files -f files

%clean
    rm -rf $RPM_BUILD_ROOT

%post
    #   after upgrade, restart service
    [ $1 -eq 2 ] || exit 0
    eval `%{l_rc} apache status 2>/dev/null`
    [ ".$apache_active" = .yes ] && %{l_rc} apache restart
    exit 0

